//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <map>
#include <cstring>
#include <winuser.h>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

class word
{
  char str[20];
public:
  word() { strcpy(str, ""); }
  word(char *s) {strcpy(str, s);}
  char *get() { return str; }
};
bool operator<(word a, word b)
{
  return strcmp(a.get(), b.get()) < 0;
}

class meaning
{
  char str[80];
public:
  meaning() { strcmp(str, ""); }
  meaning(char *s) { strcpy(str, s); }
  char *get() {return str;}
};


int main(int argc, char* argv[])
{
  map<word, meaning> dictionary;

  //    
  //  word  meaning
  dictionary.insert(pair<word, meaning>(
  	word(""), meaning(" ")));
  dictionary.insert(pair<word, meaning>(
  	word(""), meaning("  ")));
  dictionary.insert(pair<word, meaning>(
  	word(""), meaning("  ")));
  dictionary.insert(pair<word, meaning>(
  	word("STL"), meaning("Standard Template Library")));

  //      .
  char str[80];
  cout << ToRus(" : ");
  cin >> str;
  OemToChar(str,str);
  map<word, meaning>::iterator p;

  p = dictionary.find(word(str));
  if(p != dictionary.end())
  	cout << ToRus(": ") << ToRus(p->second.get());
  else
	cout << ToRus("    .\n");
//  cin>> str;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
